Kerbal Space Program - Bug #20256

Lag spike when updating map view nodes
10/19/2018 07:47 PM - DMagic

Status: Closed Start date: 10/19/2018
Severity: Low % Done: 100%
Assignee:

Category: Map and Planetarium

Target version: 1.7.0

Version: 1.5.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Basically any time the map view orbit nodes are changes or added there is a momentary spike in performance where the game
appears to freeze for a moment. This is presumably more noticeable on less powerful machines.

This can be recreated by putting a vessel in orbit, then making a maneuver node, or targeting another vessel, or planet, or generating
an encounter while editing a maneuver node. Anything that adds something like the closest encounter map node icons, or generates
another orbit line like adding a maneuver node.

This behavior is not present in KSP 1.4.5.

History

#1 - 11/02/2018 12:02 PM - arnermd

Whenever | am setting up a maneuver node there is really bad lag (2-3 seconds) when the maneuver detects an encounter. If there is no encounter
detected, things projected trajectory changes are smooth, once the encounter is detected everything freezes for a few seconds and then jumps
ahead, once the encounter is displayed things are smooth again until the encounter ends and another lag. This also occurs when | am executing the
maneuver and my current trajectory detects an encounter. Very annoying when trying to plan and execute precise maneuvers!

- Career mode, mid game, was fine before upgrade to 1.5
- | do have one mod installed "For Science", that's it
- | started a fresh new career mode game and there was no lag with the new game, lag still present with the "in process" game.

#2 - 01/18/2019 01:18 PM - captainjenson

I'm having this problem also - please advise.

#3 - 01/21/2019 03:49 AM - Azeroth

I'm having this problem also

#4 - 04/11/2019 09:07 PM - chris.fulton
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#5 - 04/11/2019 09:08 PM - chris.fulton
- Status changed from Confirmed to Ready to Test
- Target version set to 1.7.0

- % Done changed from 10 to 80

Performance has been improved up to 1.7. Setting this bug to RTT to have the reporter verify if this issue is still valid.

#6 - 05/08/2019 06:16 AM - Anonymous
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

| certainly noticed the delays in map-view in version 1.6.1, and notice no delay at all in version 1.7.0
#7 - 05/10/2019 07:57 PM - chris.fulton

- Status changed from Resolved to Closed
